# H225_GenericIdentifier Class Reference

`#include <h225.h>`

List of all members.

## Public Types

enum | Choices { e_standard, e_oid, e_nonStandard }

## Public Member Functions

| H225_GenericIdentifier (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H225_GloballyUniqueID & ()
| operator const H225_GloballyUniqueID & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H225_GenericIdentifier::Choices

Enumerator:

  e_standard |
  e_oid |
  e_nonStandard |

## Constructor & Destructor Documentation

H225_GenericIdentifier::H225_GenericIdentifier | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H225_GenericIdentifier::operator H225_GloballyUniqueID & | ( |  | ) |

H225_GenericIdentifier::operator const H225_GloballyUniqueID & | ( |  | ) | const

PBoolean H225_GenericIdentifier::CreateObject | ( |  | ) |

PObject* H225_GenericIdentifier::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h225.h